After update to Java8, getting error during JiBX bind - [bind] java.lang.IllegalStateException: Error loading class java.lang.CharSequence

Refresh

April 2019

Views

417 time

1

On my machine, I updated from Java 1.6 to Java 1.8. Now, while doing build getting below JiBXException in JiBX binding compilation.

bind:
 [echo] Running JiBX binding compiler
 [bind] Error running binding compiler
 [bind] java.lang.IllegalStateException: Error loading class java.lang.CharSequence: Error reading path java/lang/CharSequence.class for class java.lang.CharSequence
BUILD FAILED
/build/build.xml:218: JiBXException in JiBX binding compilation

I'm using these JiBX JAR versions - 'jibx-bind-1.2.2' , 'jibx-run-1.2.2'.

As a workaround - I tried to upgrade JiBX version to 1.3.1 and also upgraded to bcel-6.0-SNAPSHOT.jar

But still facing same error. :(

1 answers

0

Go to start of metadata

Due to old Jars compatibility issue with Java 8, need to upgrade JiBX to 1.3.1 which is compatible with java 8. Following jars need to be upgraded.

•jibx-bind-1.3.1.jar

•jibx-run-1.3.1.jar

•jibx-tools-1.3.1.jar

•joda-time-2.9.5.jar

•jibx-extras-1.3.1.jar

•bcel-6.1.jar

•xpp3-1.1.6.jar